org.apache.lucene.queryparser.xml.builders

## Interface SpanQueryBuilder

All Superinterfaces:
  QueryBuilder

All Known Implementing Classes:
  BoostingTermBuilder, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder

    public interface SpanQueryBuilder
    extends QueryBuilder

Interface for retrieving a `SpanQuery`.

### Method Summary

Methods
`SpanQuery` `getSpanQuery(Element e)`

### Methods inherited from interface org.apache.lucene.queryparser.xml.QueryBuilder

`getQuery`

### Method Detail

#### getSpanQuery

    SpanQuery getSpanQuery(Element e)
                           throws ParserException

Throws:
  `ParserException`